> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload product feed

> Upload the contents of your catalog feed.

This endpoint expects a CSV document with the following delimiters: `tab`, `comma`, `semicolon` or `pipe`.



## OpenAPI

````yaml openapi-v1.json put /v1/products/import/{import_id}
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/products/import/{import_id}:
    put:
      tags:
        - Products
      summary: Upload product feed
      description: >-
        Upload the contents of your catalog feed.


        This endpoint expects a CSV document with the following delimiters:
        `tab`, `comma`, `semicolon` or `pipe`.
      operationId: uploadProductFeed
      parameters:
        - name: import_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The feed was accepted and scheduled for processing
      security:
        - PublicAuth: []
components:
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````